<sqtm-core-customisable-dialog
  [dialogId]="'create-test-case-from-requirement-dialog'"
  [titleKey]="'sqtm-core.test-case-workspace.create-tc-from-req.label'"
  [attr.data-test-dialog-id]="'add-tc-from-req'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <ng-container>
      <div class="sqtm-core-dialog-form p-10">
        <label class="label label__align_right">{{
          'sqtm-core.entity.test-case.kind.label' | translate
        }}</label>
        <sqtm-core-select-field
          [formGroup]="formGroup"
          [options]="kindOptions"
          [fieldName]="'format'"
        ></sqtm-core-select-field>
      </div>
    </ng-container>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
